#!/bin/sh

JAVA_OPTIONS="${CATALINA_OPTS} -Djava.security.egd=file:/dev/./urandom -Dpandora.accept.foreign.ip=false -Dlog4j.defaultInitOverride=false -Dcatalina.logs=${CATALINA_HOME}/logs -DJM.LOG.RETAIN.COUNT=7 -DJM.LOG.FILE.SIZE=300MB -Dpandora.location=${CATALINA_HOME}/deploy/taobao-hsf.sar"
LOG_FILE="$CATALINA_HOME/logs/catalina.out"
FAT_JAR_PARAMS="--server.context-path=/ --server.port=${HTTP_PORT} --server.tomcat.uri-encoding=ISO-8859-1 --server.tomcat.max-threads=400"

nohup ${JAVA_HOME}/bin/java ${JAVA_OPTIONS} -jar /home/admin/app/${JAR_FILE_NAME} ${FAT_JAR_PARAMS} >> ${LOG_FILE} 2>&1 &

sleep 1

ps -ef | grep java | grep "/home/admin/app/${JAR_FILE_NAME}" | grep -v grep >> ${LOG_FILE} 2>&1

ps -ef | grep java | grep "/home/admin/app/${JAR_FILE_NAME}" | grep -v grep | awk '{print $2}' > ${CATALINA_PID}

tail -f ${LOG_FILE}